List Pay Terms options
curl --request GET \
--url https://api.creditor.younegotiate.com/pay-terms/options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/pay-terms/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/pay-terms/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"value": "<string>",
"label": "<string>",
"type_label": "<string>",
"subclient_id": 123,
"group_pay_term_id": 123,
"has_pay_terms": true
}
]
}{
"message": "<string>"
}{
"message": "An active membership is required."
}List Pay Terms options
List editor options for master, sub-account, group, and group-sub-account Pay Terms. Group options are returned only after the company has imported at least one account and completed all required setup wizard steps. Existing group terms include their group Pay Term ID.
GET
/
pay-terms
/
options
List Pay Terms options
Last modified on July 20, 2026
Was this page helpful?
⌘I

